# Uses of Class
org.apache.sling.api.request.header.MediaRangeList.MediaRange

Packages that use MediaRangeList.MediaRange
Package
Description
org.apache.sling.api.request.header

## Uses of MediaRangeList.MediaRange in org.apache.sling.api.request.header

Methods in org.apache.sling.api.request.header that return MediaRangeList.MediaRange
Modifier and Type
Method
Description
`MediaRangeList.MediaRange`
MediaRangeList.`prefer(Set<MediaRangeList.MediaRange> mediaRanges)`
Deprecated.
Given a list of media types, returns the one is preferred by this `MediaRangeList`.
Methods in org.apache.sling.api.request.header with parameters of type MediaRangeList.MediaRange
Modifier and Type
Method
Description
`int`
MediaRangeList.MediaRange.`compareTo(MediaRangeList.MediaRange o)`
Method parameters in org.apache.sling.api.request.header with type arguments of type MediaRangeList.MediaRange
Modifier and Type
Method
Description
`MediaRangeList.MediaRange`
MediaRangeList.`prefer(Set<MediaRangeList.MediaRange> mediaRanges)`
Deprecated.
Given a list of media types, returns the one is preferred by this `MediaRangeList`.